How to get the Applause Android SDK

How to get the Applause Android SDK

The Applause Android SDK works in both production and pre-production is now at version 3.9.2

We offer three methods of integration

Gradle (recommended integration method)

Add the following dependency in your application’s build.gradle file

compile 'com.applause:applause-sdk:3.9.2@aar'

Maven

In order to use Applause SDK in projects using Android Maven Plugin, you will need to modify your application’s pom.xml file.

<dependency>
      <groupId>com.applause</groupId>
      <artifactId>applause-sdk</artifactId>
      <version>3.9.2</version>
      <type>aar</type>
</dependency>

Ant

In order to use Applause SDK in projects using Ant you need to download the latest zip file.

Unpack the archive. It contains standalone Eclipse project based on Ant build system. We advice to add this line in your application’s project.properties file

android.library.reference.1={path_to_upacked_archive}

This will tell both command line interface and Eclipse builder that you application depends on Applause SDK.

Note: If your application has already other dependencies please replace ‘1’ number with the next continuous integer.

 

Changelog

You can review  our changelog to see what’s updates we’ve been rolling out.